import java.io.InputStream;
import java.io.FileInputStream;

class EBNFScannerTest implements EBNFTokens {
    public static void main(String[] args) {
        try {
            EBNFScanner scan;
            scan = new EBNFScanner(new FileInputStream(args[0]));
            scan.nextToken();
            while (scan.token != EOF) {
                System.out.print(scan.representation());
                scan.nextToken();
            }
            System.out.println(scan.representation());
            scan.close();
        } catch (Exception e) {
            throw new Error(e.toString());
        }
    }
}